CREATE TABLE hrc_arm_approval_options (
    APPROVAL_OPTIONS_ID           NUMBER(18, 0) ,
    AI_COMMENT_ENABLED            VARCHAR2(64)  ,
    ARCHIVE_PERIOD                VARCHAR2(200) ,
    PURGE_PERIOD                  VARCHAR2(200) ,
    PROCESS_ID                    NUMBER(18, 0)     NOT NULL,
    APPROVAL_DISABLED             VARCHAR2(64)  ,
    ASYNC_BYPASS_ENABLED          VARCHAR2(64)  ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    SGUID                         VARCHAR2(128) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ALERT_ENABLED                 VARCHAR2(64)  ,
    SEND_TO_USERS                 VARCHAR2(64)  ,
    ALERT_TEMPLATE_OBJECT_GUID    VARCHAR2(128) ,
    IS_PARALLEL_TXN_ENABLED       VARCHAR2(64)  ,
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    APPROVAL_OPTIONS_ID           NUMBER(18, 0) ,
    PROCESS_ID                    NUMBER(18, 0)     NOT NULL,
    APPROVAL_DISABLED             VARCHAR2(64)  ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    SGUID                         VARCHAR2(128) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ALERT_ENABLED                 VARCHAR2(64)  ,
    ARCHIVE_PERIOD                VARCHAR2(200) ,
    PURGE_PERIOD                  VARCHAR2(200) ,
    SEND_TO_USERS                 VARCHAR2(64)  ,
    ALERT_TEMPLATE_OBJECT_GUID    VARCHAR2(128) ,
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    ASYNC_BYPASS_ENABLED          VARCHAR2(64)  ,
    IS_PARALLEL_TXN_ENABLED       VARCHAR2(64)  ,
    AI_COMMENT_ENABLED            VARCHAR2(64)  ,
    CONSTRAINT pk_hrc_arm_approval_options PRIMARY KEY (APPROVAL_OPTIONS_ID, APPROVAL_OPTIONS_ID)
);
